#!/bin/bash

menu_file="gnome-applications.menu"

# 添加 safe menu项
add_safe_menu()
{
    # 检查Menu是否存在
    menu_exists=$(grep -oP '<Name>\KSafe Tools(.*)</Name>' /etc/xdg/menus/$menu_file)
    if [ -z "$menu_exists" ]; then

        cp -f /etc/xdg/menus/$menu_file /etc/xdg/menus/$menu_file.bak

        # 如果不存在，则在<!-- Other -->上面两行添加内容
        line_num=$(grep -n '<!-- Other -->' /etc/xdg/menus/$menu_file | head -1 | cut -d: -f1)
        
        ((line_num--))
        ((line_num--))

        sed -i "${line_num}a\ \n<!-- Safe--> \
        \n <Menu>\n <Name>Safe Tools</Name>\n \
        <Directory>Safe.directory</Directory>\n \
        <Include>\n <Category>Safe</Category>\n \
        </Include>\n </Menu> <!-- End Safe Tools -->" /etc/xdg/menus/$menu_file
        
        echo "已添加Safe Tools菜单！"
    else
        echo "Safe Tools菜单已存在！"
    fi

}

# 还原 safe menu项
reset_safe_menu()
{
    if [ -f "/etc/xdg/menus/$menu_file.bak" ]; then
        mv -f /etc/xdg/menus/$menu_file.bak /etc/xdg/menus/$menu_file
    fi
}

 add_safe_menu
# reset_safe_menu
